### Method

# Soup Cookie set_secure

#### Declaration [src]

    void
    soup_cookie_set_secure (
      SoupCookie* cookie,
      gboolean secure
    )

#### Description [src]

Sets `cookie`‘s secure attribute to `secure`.

If `TRUE`, `cookie` will only be transmitted from the client to the server over secure (https) connections.

#### Parameters

`secure`

  Type: `gboolean`

  The new value for the secure attribute.